Subject: Re: bug#63064: 29.0.90; installed packages have status available and obsolete
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Mon, 08 May 2023 12:43:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 08 May 2023 10:33:48 +0200 Stephen Berman <[email-masked]> wrote:
[...]
> I have additional information: I copied my entire ~/.emacs.d/elpa
> directory and the complete value for package-selected-packages to a
> directory under /tmp, then started emacs with HOME set to this
> directory, and then invoked list-packages, and this is the resulting
> display in the *Packages* buffer (omitting the "Description" column):
>
>   company                        20230416.2034  available    melpa
>   posframe                       20230423.927   available    melpa
>   sly                            20230507.2335  available    melpa
>   tablist                        20230321.705   available    melpa
>   websocket                      20230305.410   available    melpa
>   company                        0.9.13         installed
>   posframe                       1.4.2          installed
>   sly                            20230425.2123  installed
>   tablist                        1.0            installed
>   websocket                      1.14           installed
>   posframe                       1.4.1          obsolete
>   sly                            20230327.1434  obsolete
>
> In contrast to the above display produced from my "real" ~/.emacs.d,
> here there is no doubling in the listing of available and obsolete
> packages, and the listing of installed packages is correct.  This seems
> to be the intended display of *Packages*.  So there is evidently
> something in my "real" ~/.emacs.d that is causing the above aberrant
> display, but I have no idea what.  Does anyone here have a suggestion?

I determined that the aberrant display in *Packages* is due to invoking
(package-initialize) in ~/.emacs.d/init.el.  Evidentally I missed the
change in Emacs 27 with regard to this function.  I don't understand why
invoking (package-initialize) in init.el when HOME is under /tmp doesn't
have this effect, but that's a separate issue, so I'm closing this bug.

Steve Berman